| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Functions
coord.h File Reference
`#include <ARX/AR2/config.h>`
`#include <ARX/AR2/imageSet.h>`
`#include <ARX/AR2/featureSet.h>`
Include dependency graph for coord.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
int | ar2MarkerCoord2ScreenCoord (const ARParamLT *cparamLT, const float trans[3][4], const float mx, const float my, float *sx, float *sy)
int | ar2MarkerCoord2ScreenCoord2 (const ARParamLT *cparamLT, const float trans[3][4], const float mx, const float my, float *sx, float *sy)
int | ar2ScreenCoord2MarkerCoord (const ARParamLT *cparamLT, const float trans[3][4], const float sx, const float sy, float *mx, float *my)
int | ar2MarkerCoord2ImageCoord (const int xsize, const int ysize, const float dpi, const float mx, const float my, float *ix, float *iy)
int | ar2ImageCoord2MarkerCoord2 (const int xsize, const int ysize, const float dpi, const float ix, const float iy, float *mx, float *my)
int | ar2GetImageValue (const ARParamLT *cparamLT, const float trans[3][4], const AR2ImageT *image, const float sx, const float sy, ARUint8 *pBW)

## Function Documentation

## ◆ ar2GetImageValue()

int ar2GetImageValue | ( | const ARParamLT * | cparamLT,
|  | const float | trans[3][4],
|  | const AR2ImageT * | image,
|  | const float | sx,
|  | const float | sy,
|  | ARUint8 * | pBW
| ) |  |

Here is the call graph for this function:

## ◆ ar2ImageCoord2MarkerCoord2()

int ar2ImageCoord2MarkerCoord2 | ( | const int | xsize,
|  | const int | ysize,
|  | const float | dpi,
|  | const float | ix,
|  | const float | iy,
|  | float * | mx,
|  | float * | my
| ) |  |

## ◆ ar2MarkerCoord2ImageCoord()

int ar2MarkerCoord2ImageCoord | ( | const int | xsize,
|  | const int | ysize,
|  | const float | dpi,
|  | const float | mx,
|  | const float | my,
|  | float * | ix,
|  | float * | iy
| ) |  |

## ◆ ar2MarkerCoord2ScreenCoord()

int ar2MarkerCoord2ScreenCoord | ( | const ARParamLT * | cparamLT,
|  | const float | trans[3][4],
|  | const float | mx,
|  | const float | my,
|  | float * | sx,
|  | float * | sy
| ) |  |

Here is the call graph for this function:

## ◆ ar2MarkerCoord2ScreenCoord2()

int ar2MarkerCoord2ScreenCoord2 | ( | const ARParamLT * | cparamLT,
|  | const float | trans[3][4],
|  | const float | mx,
|  | const float | my,
|  | float * | sx,
|  | float * | sy
| ) |  |

Here is the call graph for this function:

## ◆ ar2ScreenCoord2MarkerCoord()

int ar2ScreenCoord2MarkerCoord | ( | const ARParamLT * | cparamLT,
|  | const float | trans[3][4],
|  | const float | sx,
|  | const float | sy,
|  | float * | mx,
|  | float * | my
| ) |  |

Here is the call graph for this function: